Bug 1175098 - dnf: unowned dir /etc/dnf/protected.d
Summary: dnf: unowned dir /etc/dnf/protected.d
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-17 07:05 UTC by Ralf Corsepius
Modified: 2015-02-20 08:32 UTC (History)
7 users (show)

Fixed In Version: hawkey-0.5.3-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-19 12:49:28 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralf Corsepius 2014-12-17 07:05:25 UTC
Description of problem:
The directory /etc/dnf/protected.d should be owned by the "dnf"-package

Version-Release number of selected component (if applicable):
dnf-0:0.6.3-2.fc21

How reproducible:
Always

Steps to Reproduce:
1. Set up a mock chroot and install dnf: 
# mock -r fedora-21-x86_64 --init
# mock -r fedora-21-x86-64 --install dnf

2. Enter the mock-chroot and check /etc/dnf/protected.d's ownership
# mock -r fedora-21-x86_64 --shell
# rpm -qf /etc/dnf/protected.d
file /etc/dnf/protected.d is not owned by any package

Actual results:
cf. above.

Expected results:
dnf to own /etc/dnf/protected.d

Additional info:
This bug causes "yum remove dnf" to not uninstall properly. 
It leaves a stray /etc/dnf/protected.d directory behind.

Comment 1 Ralf Corsepius 2014-12-19 09:22:09 UTC
Taking.

Comment 2 Ralf Corsepius 2014-12-19 12:49:28 UTC
Fix in git for f20, f21 and rawhide.

I am not going to push these packages to testing/updates, but I am leaving the decision to the official maintainers.

Comment 3 Honza Silhan 2015-01-05 17:07:11 UTC
Thanks for the report and patch, Ralf. DNF project on github [1] contains spec file. Next time you can fix an issue in the upstream by creating pull request and become part of DNF authors.

[1] https://github.com/rpm-software-management/dnf

Comment 4 Fedora Update System 2015-02-16 00:03:38 UTC
dnf-plugins-core-0.1.5-1.fc21,hawkey-0.5.3-2.fc21,dnf-0.6.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.5-1.fc21,hawkey-0.5.3-2.fc21,dnf-0.6.4-1.fc21

Comment 5 Fedora Update System 2015-02-20 08:32:53 UTC
hawkey-0.5.3-2.fc21, dnf-plugins-core-0.1.5-1.fc21, dnf-0.6.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.